Products
Keep your product catalogue in step with your shop so customers can review products.
GET/productsproducts:write
POST/productsproducts:write
PATCH/products/{sku}products:write
Product fields
| Field | Type | Description |
|---|---|---|
| skurequired | string | Your product code |
| namerequired | string | Product name |
| url | string | Product page (https) |
| image_url | string | Main image (https) |
| gtin | string | Barcode, for Google Shopping |
| group | string | Groups variants together |
| business | string | Which business, if your key can use more than one |
Updating
PATCH /products/{sku} changes only the fields you send. Products are matched by SKU within the business.
curl -X POST "https://api.proofwell.io/v1/products" \
-H "Authorization: Bearer $PROOFWELL_KEY" \
-H "Content-Type: application/json" \
-d '{
"sku": "HB-250",
"name": "House Blend 250g",
"gtin": "9551234567890",
"business": "biz_example-coffee"
}'Example response (example values)
{
"sku": "HB-250",
"name": "House Blend 250g",
"business_id": "biz_example-coffee",
"url": "https://shop.example.com/house-blend",
"image_url": null,
"gtin": "9551234567890",
"group": "Coffee",
"active": true,
"updated_at": "2026-09-24T02:00:00.000Z"
}